<template>
	<view class="activity">
	   <web-view :webview-styles="webviewStyles" :src="activityPath"></web-view>
	   <!-- 侧边 -->
	   <scroll-top :isScrollTop="isScrollTop" :bottom="200"></scroll-top>
	</view>
</template>

<script>
	export default {
	    data() {
	        return {
	            webviewStyles: {
	                progress: {
	                    color: '#FF3333'
	                }
	            },
				productID:'',
				activityPath:'',
				isScrollTop:false
	        }
	    },
		onLoad(option) {
			console.log(option)
			uni.setNavigationBarTitle({title:option.title});
			this.activityPath = option.link;
		},
		methods:{
			
		},
		onPageScroll(e){//实时获取到滚动的值
			if(e.scrollTop>600){
				this.isScrollTop = true
			}else{
				this.isScrollTop = false
			}	
		},
	}
</script>
	
<style lang="scss">
	.activity{
		width: 100%;
		height: auto;
		image{
			width: 100%;
			height: auto;
		}
	}
</style>
